Subject: bug#16321: [cp] Feature request: create relative symlinks with "cp -r -s" like "ln -r"

From: Kai Herlemann <[email-masked]>
Date: Wed, 01 Jan 2014 22:05:29 +0100

Hello,
at first, there's a possibility to create relative symlinks with "ln -s -r".

Secondly, "cp -r -s" creates only symlinks instead of copying them.
I'd like to request that "cp -r -s" gets also that possibility to
create relative symlinks like "ln -s -r".

That may be very good if you want to 1) copy many different files to a
portable storage device like an memory stick, 2) create two different
file structures (in my case: sort after the source of music and after
the singers) and don't want to copying them two at once. In cases like
that, the absolute file path isn't the same, and therefore, only a
relative symlink will work.

Thanks, and happy new year!
Kai